/*
  Plastic Logic EPD project on MSP430

  Copyright (C) 2013 - 2017 Plastic Logic

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * waveform.h
 *
 *  Created on: 05.09.2014
 *      Author: andreas.meier
 */

#ifndef WAVEFORM_H_
#define WAVEFORM_H_

#include "waveform.h"
#include "types.h"
#include "UC8156.h"

u8 waveform_debug[WAVEFORM_LENGTH]= { \
0xAA, 0x6A, 0xAA, 0xAA, \
0x22, 0x22, 0x22, 0x22, \
0x00, 0x00, 0x00, 0x00, \
0x11, 0x11, 0x11, 0x11, \
0x11, 0x11, 0x11, 0x11, \
0x11, 0x11, 0x11, 0x11, \
0x11, 0x11, 0x11, 0x11, \
0x11, 0x11, 0x11, 0x11, \
0x11, 0x11, 0x11, 0x11, \
0x11, 0x11, 0x11, 0x11, \
0x11, 0x11, 0x11, 0x11, \
0x11, 0x11, 0x11, 0x11, \
0x11, 0x11, 0x11, 0x11, \
0x11, 0x11, 0x11, 0x11, \
0x11, 0x11, 0x11, 0x11, \
0x11, 0x11, 0x11, 0x11, \
0x11, 0x11, 0x11, 0x11, \
0x11, 0x11, 0x11, 0x11, \
0x11, 0x11, 0x11, 0x11, \
0x11, 0x11, 0x11, 0x11, \
0x11, 0x11, 0x11, 0x11, \
0x11, 0x11, 0x11, 0x11, \
0x11, 0x11, 0x11, 0x11, \
0x11, 0x11, 0x11, 0x11, \
0xF1, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
};

u8 waveform_long_null[WAVEFORM_LENGTH] = { \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xAA, 0xAA, 0xAA, 0xAA, \
                0xF1, \
                0xF1, \
                0xF1, \
                0xF1, \
                0xF1, \
                0xF1, \
                0xF1, \
                0xF1, \
                0xF1, \
                0xF1, \
                0xF1, \
                0xF1, \
                0xF1, \
                0xF1, \
                0xF1, \
                0xF1, \
                0xF1, \
                0xF1, \
                0xF1, \
                0xF1, \
                0xF1, \
                0xF1, \
                0xF1, \
                0xF1, \
};

u8 waveform_test[WAVEFORM_LENGTH]= { \
0xA9, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xAA, 0xAA, 0xAA, 0xAA, \
0xF1, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01, \
0x01 \
};

u8 waveform_default[WAVEFORM_LENGTH]= { \
0xAA, 0xAA, 0xA9, 0xA6,\
0xAA, 0xAA, 0xA5, 0xA6,\
0xAA, 0xA9, 0xA5, 0x96,\
0xA8, 0xA4, 0x94, 0x56,\
0xA0, 0xA0, 0x50, 0x52,\
0xA0, 0x90, 0x50, 0x52,\
0x80, 0x40, 0x40, 0x42,\
0x01, 0x01, 0x01, 0x01,\
0x05, 0x05, 0x05, 0x05,\
0x15, 0x15, 0x15, 0x15,\
0xAA, 0xAA, 0xAA, 0xAA,\
0xFF, 0xFF, 0xFF, 0xFF,\
0xFF, 0xFF, 0xFF, 0xFF,\
0xFF, 0xFF, 0xFF, 0xFF,\
0xFF, 0xFF, 0xFF, 0xFF,\
0xFF, 0xFF, 0xFF, 0xFF,\
0xFF, 0xFF, 0xFF, 0xFF,\
0xFF, 0xFF, 0xFF, 0xFF,\
0xFF, 0xFF, 0xFF, 0xFF,\
0xFF, 0xFF, 0xFF, 0xFF,\
0xFF, 0xFF, 0xFF, 0xFF,\
0xFF, 0xFF, 0xFF, 0xFF,\
0xFF, 0xFF, 0xFF, 0xFF,\
0xFF, 0xFF, 0xFF, 0xFF,\
0x41,\
0x31,\
0x41,\
0x41,\
0x31,\
0x41,\
0x41,\
0x41,\
0x71,\
0x41,\
0x41,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00\
};

u8 waveform_S031_V7D035_2GL_V1_23_0[120]= { \
0x2A, 0xAA, 0xAA, 0xA9,\
0x2A, 0x2A, 0xA9, 0xA9,\
0x2A, 0x29, 0x29, 0xA9,\
0xAA, 0xAA, 0xAA, 0xAA,\
0x00, 0x00, 0x00, 0x00,\
0x00, 0x00, 0x00, 0x00,\
0x00, 0x00, 0x00, 0x00,\
0x00, 0x00, 0x00, 0x00,\
0x00, 0x00, 0x00, 0x00,\
0x00, 0x00, 0x00, 0x00,\
0x00, 0x00, 0x00, 0x00,\
0x00, 0x00, 0x00, 0x00,\
0x00, 0x00, 0x00, 0x00,\
0x00, 0x00, 0x00, 0x00,\
0x00, 0x00, 0x00, 0x00,\
0x00, 0x00, 0x00, 0x00,\
0x00, 0x00, 0x00, 0x00,\
0x00, 0x00, 0x00, 0x00,\
0x00, 0x00, 0x00, 0x00,\
0x00, 0x00, 0x00, 0x00,\
0x00, 0x00, 0x00, 0x00,\
0x00, 0x00, 0x00, 0x00,\
0x00, 0x00, 0x00, 0x00,\
0x00, 0x00, 0x00, 0x00,\
0x41,\
0x41,\
0x41,\
0x11,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00,\
0x00\
};

u8 waveform_S011_V1_0_VJW003_V2_T23_WfId3_uc8156_lut[] = { \
0x28, 0x6A, 0x6A, 0x69, \
0x28, 0xAA, 0x6A, 0x69, \
0x28, 0x2A, 0x68, 0x69, \
0x28, 0x2A, 0x29, 0x69, \
0x2A, 0x28, 0x29, 0xA9, \
0x29, 0x29, 0x29, 0x29, \
0xAA, 0xAA, 0xAA, 0xAA, \
0x00, 0x00, 0x00, 0x00, \
0x00, 0x00, 0x00, 0x00, \
0x00, 0x00, 0x00, 0x00, \
0x00, 0x00, 0x00, 0x00, \
0x00, 0x00, 0x00, 0x00, \
0x00, 0x00, 0x00, 0x00, \
0x00, 0x00, 0x00, 0x00, \
0x00, 0x00, 0x00, 0x00, \
0x00, 0x00, 0x00, 0x00, \
0x00, 0x00, 0x00, 0x00, \
0x00, 0x00, 0x00, 0x00, \
0x00, 0x00, 0x00, 0x00, \
0x00, 0x00, 0x00, 0x00, \
0x00, 0x00, 0x00, 0x00, \
0x00, 0x00, 0x00, 0x00, \
0x00, 0x00, 0x00, 0x00, \
0x00, 0x00, 0x00, 0x00, \
0x21, 0x11, 0x11, 0x11, \
0x11, 0x61, 0x21, 0x00, \
0x00, 0x00, 0x00, 0x00, \
0x00, 0x00, 0x00, 0x00, \
0x00, 0x00, 0x00, 0x00, \
0x00, 0x00, 0x00, 0x00, \
};

/*
 u8 waveform_MTP_array[] = { \
};
 */

#endif /* WAVEFORM_H_ */
